from AppCode.Config import DBConfig
import mysql.connector

class YearGet:

    def __init__(self):
        self.conn = DBConfig.get_db_connection()
        self.cursor = self.conn.cursor(dictionary=True)

    # get year fetch in perticular Model name. 
    def get_year_by_model(self, proc_name):
        try:
            self.cursor.callproc(proc_name)

            years = []
            for result in self.cursor.stored_results():
                    rows = result.fetchall()
                    years = [row["year"] for row in rows]

            print("-- years get --",years)
            return years
        
        except mysql.connector.Error as e:
            print("MySQL Error:", e)
            return []

    # def get_all_year_in_all_model(self):
    #     self.cursor.callproc("AllYearsInAllModel")
    #     years = []
    #     for result in self.cursor.stored_results():
    #             rows = result.fetchall()
    #             years = [row["year"] for row in rows]
    #     return years
        


    def close(self):
        self.cursor.close()
        self.conn.close()
